import os
from ADFmentor import ADFMentor

mentor = ADFMentor(
    api_key="AIzaSyBeWzRBVmo6ccunB8hBv-yUbXnKyTqQsQM",
    model_name="gemini-2.5-flash-lite"
)

questions = {
    "pipeline": "Create a pipeline to copy data from Blob to SQL",
    "text": None,
}

prompts = {
    "pipeline": "Evaluate pipeline structure",
    "text": "Evaluate text response",
}

current_dir = os.path.dirname(os.path.abspath(__file__))
answer_path = os.path.join(current_dir, "sample_adf", "pipeline", "CopyBlobToSQL.json")

print(f"Testing with file: {answer_path}")

evaluation = mentor.evaluate_all(
    answer_path=answer_path,
    questions=questions,
    prompts=prompts,
)

print(evaluation)
